Page MenuHomeVyOS Platform

"tail -f unrecognized file system type error" in coreutils version 8.23
Closed, DuplicatePublicBUG

Description

VyOS version 1.2.3 using coreutils version 8.23 contains a bug when using "tail -f". Here is the error: "tail: unrecognized file system type 0x794c7630 for ‘<log_file_name>’. please report this to bug-coreutils@gnu.org. reverting to polling".

In many situations, he lag introduced by periodic polling can be significant enough to hinder production troubleshooting, especially in higher log volume environments.

To see this in action, run "tail -f /var/log/messages" The error message from the tail command appears as the last line of output followed by the aforementioned lag instead of the steady output when tail is able to utilize inotify.

There is a backported patch for coreutils 8.23 as well as a couple workarounds available. The best option is dependent upon one's production policies.

A "quick and dirty" workaround would be to grab the tail command from a coreutils build such as version 8.25 and put it in your favorite temp space on the router running VyOS version 1.2.3. I've use this workaround regularly in Test and Dev.

Thanks.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

ljester created this task.Oct 20 2019, 1:55 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Nov 16 2019, 11:44 PM
syncer edited projects, added Rejected; removed VyOS 1.2 Crux.Jan 1 2020, 3:15 PM
pasik added a subscriber: pasik.Jan 2 2020, 8:31 AM